/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.office;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

/**
 * 勤務先のResultDataです。 <BR>
 * 
 */
public class OfficeResultData implements ALData {

  /** 勤務先ID */
  private ALNumberField office_id;
  
  /** 有効/無効 */
  private ALStringField disabled;
  
  /** 勤務先名 */
  private ALStringField office_name;
  

  
  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    office_id = new ALNumberField();
    disabled = new ALStringField();
    office_name = new ALStringField();
    
  }

  /**
   * @return
   */
  public ALStringField getDisabled() {
    return disabled;
  }

  /**
   * @param string
   */
  public void setDisabled(String string) {
    disabled.setValue(string);
  }

  /**
   * @return
   */
  public ALNumberField getOfficeId() {
    return office_id;
  }
  
  /**
   * @return
   */
  public ALStringField getOfficeName() {
    return office_name;
  }
  
  /**
   * @param id
   */
  public void setOfficeId(int id) {
    office_id.setValue(id);
  }
  
  /**
   * @param string
   */
  public void setOfficeName(String string) {
    office_name.setValue(string);
  }

}
